function yazi --wraps yazi --description "Yazi wrapper that forces Chafa inside Zellij"
    if set -q ZELLIJ
        begin
            set -e DISPLAY
            set -e WAYLAND_DISPLAY
            set -e SWAYSOCK
            set -e HYPRLAND_INSTANCE_SIGNATURE
            set -e WAYFIRE_SOCKET
            set -lx TERM xterm-256color
            command yazi $argv
        end
    else
        command yazi $argv
    end
end
